//
//  Copyright (c) Samuel Défago. All rights reserved.
//
//  License information is available from the LICENSE file.
//

#import "MemoryWarningTestCoverViewController.h"

@interface MemoryWarningTestCoverViewController ()

@property (nonatomic, weak) IBOutlet UIBarButtonItem *closeBarButtonItem;

@end

@implementation MemoryWarningTestCoverViewController

#pragma mark View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.closeBarButtonItem.target = self;
    self.closeBarButtonItem.action = @selector(close:);
}

#pragma mark Event callbacks

- (void)close:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

#pragma mark Localization

- (void)localize
{
    [super localize];
    
    self.title = NSLocalizedString(@"MemoryWarningTestCoverViewController", nil);
    self.closeBarButtonItem.title = NSLocalizedString(@"Close", nil);
}

@end
